Page MenuHomePhabricator

Add phan to FlaggedRevs extension
Closed, ResolvedPublic

Description

As wmf deployed extension the FlaggedRevs extension should run phan on CI to found simple bugs in an earlier state of development.

FlaggedRevs extension is not using the common /includes/ or /src/ folder, which makes the config for phan a bit harder.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 8:53 PM
Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 540918 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [FlaggedRevs] Add phan dependencies

https://gerrit.wikimedia.org/r/540918

Umherirrender triaged this task as Normal priority.

Change 540957 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/FlaggedRevs@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/540957

Change 540918 merged by jenkins-bot:
[integration/config@master] [FlaggedRevs] Add phan dependencies

https://gerrit.wikimedia.org/r/540918

Mentioned in SAL (#wikimedia-releng) [2019-10-07T17:35:46Z] <James_F> Zuul: Add phan dependencies for FlaggedRevs T224769

Change 543195 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [FlaggedRevs] Enable Phan

https://gerrit.wikimedia.org/r/543195

Change 543195 merged by jenkins-bot:
[integration/config@master] layout: [FlaggedRevs] Enable Phan

https://gerrit.wikimedia.org/r/543195

Mentioned in SAL (#wikimedia-releng) [2019-10-15T19:19:02Z] <James_F> Zuul: Enable Phan for FlaggedRevs T224769

Change 540957 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/540957

Umherirrender closed this task as Resolved.Tue, Oct 15, 7:31 PM